PowerPoint3ParserInternal::ListZoneIdParser Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PowerPoint3ParserInternal::ListZoneIdParser Struct Referencefinal

Internal: a basic zone id parser of a PowerPoint3Parser. More...

Inheritance diagram for PowerPoint3ParserInternal::ListZoneIdParser:

## Public Member Functions
| ListZoneIdParser (int numZones, std::string const &debugName)
| the constructor More...
bool | parse (int id, MWAWInputStreamPtr &input, libmwaw::DebugFile &ascFile) final
| virtual function used to parse a field More...
Public Member Functions inherited from PowerPoint3ParserInternal::FieldParser
| FieldParser (int fSize, std::string const &debugName)
| the constructor More...
virtual | ~FieldParser ()
| destructor More...

## Public Attributes
int | m_numZones
| the number of zones More...
std::map< int, int > | m_fieldIdToZoneIdMap
| map field id to zone id More...
Public Attributes inherited from PowerPoint3ParserInternal::FieldParser
int | m_fieldSize
| the field size More...
std::string | m_name
| the debug name More...

## Detailed Description

Internal: a basic zone id parser of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## ◆ ListZoneIdParser()

PowerPoint3ParserInternal::ListZoneIdParser::ListZoneIdParser | ( | int | numZones,
|  | std::string const & | debugName
| ) |  |
| inline

the constructor

## Member Function Documentation

## ◆ parse()

bool PowerPoint3ParserInternal::ListZoneIdParser::parse | ( | int | id,
|  | MWAWInputStreamPtr & | input,
|  | libmwaw::DebugFile & | ascFile
| ) |  |
| finalvirtual

virtual function used to parse a field

Implements PowerPoint3ParserInternal::FieldParser.

## Member Data Documentation

## ◆ m_fieldIdToZoneIdMap

std::map<int,int> PowerPoint3ParserInternal::ListZoneIdParser::m_fieldIdToZoneIdMap

map field id to zone id

Referenced by PowerPoint3Parser::createZones(), parse(), and PowerPoint3Parser::readPictureMain().

## ◆ m_numZones

int PowerPoint3ParserInternal::ListZoneIdParser::m_numZones

the number of zones

Referenced by parse().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx